<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>LPM: lpm_driver.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<table width="100%">
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border="0" src="tilogo.gif" /></a></td>
  <td bgcolor="red"><img src="titagline.gif" /></td>
</tr>
</table>
<!-- Generated by Doxygen 1.7.2 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li id="searchli">
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath">
    <ul>
      <li><a class="el" href="dir_409878f19ab76bcc4c4d9dca73a57241.html">packages</a>      </li>
      <li><a class="el" href="dir_86c173ebdabd7d1f7abfcd6c0f2bc4f9.html">ti</a>      </li>
      <li><a class="el" href="dir_ba80d9a133efc3b210550525ea58404d.html">bios</a>      </li>
      <li><a class="el" href="dir_cffc566c7bacb51cfb5dbc7bdae8364c.html">power</a>      </li>
      <li><a class="el" href="dir_5c409a3a72a1167f2ca9e8c29010ae42.html">modules</a>      </li>
      <li><a class="el" href="dir_8c2e8f34d3f1406e620c71c5581272e8.html">omap3530</a>      </li>
      <li><a class="el" href="dir_4bb53d1076f36294c79157392531befe.html">lpm</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<h1>omap3530/lpm/lpm_driver.h</h1>  </div>
</div>
<div class="contents">
<a href="omap3530_2lpm_2lpm__driver_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* </span>
<a name="l00002"></a>00002 <span class="comment"> *  Copyright 2011 by Texas Instruments Incorporated.</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> *  This program is free software: you can redistribute it and/or modify</span>
<a name="l00005"></a>00005 <span class="comment"> *  it under the terms of the GNU General Public License as published by</span>
<a name="l00006"></a>00006 <span class="comment"> *  the Free Software Foundation; version 2 of the License.</span>
<a name="l00007"></a>00007 <span class="comment"> *</span>
<a name="l00008"></a>00008 <span class="comment"> *  This program is distributed in the hope that it will be useful,</span>
<a name="l00009"></a>00009 <span class="comment"> *  but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00010"></a>00010 <span class="comment"> *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00011"></a>00011 <span class="comment"> *  GNU General Public License for more details.</span>
<a name="l00012"></a>00012 <span class="comment"> *</span>
<a name="l00013"></a>00013 <span class="comment"> *  You should have received a copy of the GNU General Public License</span>
<a name="l00014"></a>00014 <span class="comment"> *  along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;</span>
<a name="l00015"></a>00015 <span class="comment"> * </span>
<a name="l00016"></a>00016 <span class="comment"> */</span>
<a name="l00017"></a>00017 
<a name="l00018"></a>00018 <span class="comment">/*</span>
<a name="l00019"></a>00019 <span class="comment"> *  ======== lpm_driver.h ========</span>
<a name="l00020"></a>00020 <span class="comment"> *</span>
<a name="l00021"></a>00021 <span class="comment"> */</span>
<a name="l00022"></a>00022 
<a name="l00023"></a>00023 
<a name="l00038"></a><a class="code" href="omap3530_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0">00038</a> <span class="keyword">typedef</span> void (*<a class="code" href="dm6446_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0" title="Function typedef of the functions which control the external power supply.">LPM_ExtPwrFxn</a>)(<span class="keywordtype">void</span> *arg);
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 
<a name="l00053"></a>00053 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="dm6446_2lpm_2lpm__driver_8h.html#a5e8055d26a7a63cadf3daa8eef9f47fb" title="Register an external power off function.">lpm_regExtOffFxn</a>(<span class="keywordtype">char</span> *device, <a class="code" href="dm6446_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0" title="Function typedef of the functions which control the external power supply.">LPM_ExtPwrFxn</a> fxn, <span class="keywordtype">void</span> *arg);
<a name="l00054"></a>00054 
<a name="l00055"></a>00055 
<a name="l00068"></a>00068 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="dm6446_2lpm_2lpm__driver_8h.html#ac0e18a457facf255d518a8c87ffd602b" title="Register an external power on function.">lpm_regExtOnFxn</a>(<span class="keywordtype">char</span> *device, <a class="code" href="dm6446_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0" title="Function typedef of the functions which control the external power supply.">LPM_ExtPwrFxn</a> fxn, <span class="keywordtype">void</span> *arg);
<a name="l00069"></a>00069 <span class="comment">/*</span>
<a name="l00070"></a>00070 <span class="comment"> *  @(#) ti.bios.power; 1, 1, 1,1; 12-9-2011 14:12:59; /db/atree/library/trees/power/power-g11x/src/ xlibrary</span>
<a name="l00071"></a>00071 <span class="comment"></span>
<a name="l00072"></a>00072 <span class="comment"> */</span>
<a name="l00073"></a>00073 
</pre></div></div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1" /><small>
Copyright  2011, Texas Instruments Incorporated</small>
</body>
</html>
